Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.utils
Class DocumentFactory

    java.lang.Object
      org.jasig.portal.utils.DocumentFactory

    public class DocumentFactory

extends java.lang.Object

Produces an empty Document implementation

Version:
  $Revision: 1.22 $
Author:
  Bernie Durfee, bdurfee@interactivebusiness.com

Nested Class Summary
`protected static class` | `DocumentFactory.LocalDocumentBuilder`

Field Summary
`protected static DocumentFactory` | `_instance`
`protected javax.xml.parsers.DocumentBuilderFactory` | `dbFactory`
`protected static DocumentFactory.LocalDocumentBuilder` | `localDocBuilder`
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`protected` | `DocumentFactory()`

Method Summary
`(package private) static org.w3c.dom.Document` | `__getNewDocument()` Returns a new copy of a Document implementation.
`static org.w3c.dom.Document` | `getDocumentFromStream(java.io.InputStream stream)` Deprecated. Does not provide document identifier in exceptions.
`static org.w3c.dom.Document` | `getDocumentFromStream(java.io.InputStream stream, org.xml.sax.EntityResolver er)` Deprecated. Does not provide document identifier in exceptions.
`static org.w3c.dom.Document` | `getDocumentFromStream(java.io.InputStream stream, org.xml.sax.EntityResolver er, java.lang.String publicId)`
`static org.w3c.dom.Document` | `getDocumentFromStream(java.io.InputStream stream, java.lang.String publicId)`
`static org.w3c.dom.Document` | `getNewDocument()` Returns a new copy of a Document implementation.
`protected static DocumentFactory` | `instance()`
`static javax.xml.parsers.DocumentBuilder` | `newDocumentBuilder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### _instance

    protected static DocumentFactory _instance

### localDocBuilder

    protected static final DocumentFactory.LocalDocumentBuilder localDocBuilder

### dbFactory

    protected javax.xml.parsers.DocumentBuilderFactory dbFactory

Constructor Detail

### DocumentFactory

    protected DocumentFactory()

Method Detail

### instance

    protected static DocumentFactory instance()

### getNewDocument

    public static org.w3c.dom.Document getNewDocument()

  Returns a new copy of a Document implementation. This will return an `IPortalDocument` implementation.

  Returns:
    an empty org.w3c.dom.Document implementation

### __getNewDocument

    static org.w3c.dom.Document __getNewDocument()

  Returns a new copy of a Document implementation.

  Returns:
    an empty org.w3c.dom.Document implementation

### getDocumentFromStream

    public static org.w3c.dom.Document getDocumentFromStream(java.io.InputStream stream)
                                                      throws java.io.IOException,
                                                             org.xml.sax.SAXException

  Deprecated. Does not provide document identifier in exceptions.

  Parameters:
    `stream` -
  Returns:
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getDocumentFromStream

    public static org.w3c.dom.Document getDocumentFromStream(java.io.InputStream stream,
                                                             org.xml.sax.EntityResolver er)
                                                      throws java.io.IOException,
                                                             org.xml.sax.SAXException

  Deprecated. Does not provide document identifier in exceptions.

  Parameters:
    `stream` -
    `er` -
  Returns:
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getDocumentFromStream

    public static org.w3c.dom.Document getDocumentFromStream(java.io.InputStream stream,
                                                             java.lang.String publicId)
                                                      throws java.io.IOException,
                                                             org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getDocumentFromStream

    public static org.w3c.dom.Document getDocumentFromStream(java.io.InputStream stream,
                                                             org.xml.sax.EntityResolver er,
                                                             java.lang.String publicId)
                                                      throws java.io.IOException,
                                                             org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### newDocumentBuilder

    public static javax.xml.parsers.DocumentBuilder newDocumentBuilder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD